#include "xbmodeldrawinfo.h"

XBModelDrawInfo::XBModelDrawInfo()
    : XAsset()
    , mSurfId(0)
{
    SetName("Model Draw Info");
}

XBModelDrawInfo::~XBModelDrawInfo()
{
    
}

void XBModelDrawInfo::ParseData(XDataStream *aStream)
{
    mSurfId = aStream->ParseUInt32(QString("%1 surface id").arg(GetName()));
}

void XBModelDrawInfo::Clear()
{
    mSurfId = 0;
}
